curl --request POST \
--url https://api-sandbox.synctera.com/v0/verifications/adhoc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_id": "f805d25b-0187-4405-98a7-27b2567e279e"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/verifications/adhoc"
payload = {
"payee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_id": "f805d25b-0187-4405-98a7-27b2567e279e"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payee_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
payer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
transaction_id: 'f805d25b-0187-4405-98a7-27b2567e279e'
})
};
fetch('https://api-sandbox.synctera.com/v0/verifications/adhoc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"matching_watchlists": [
"US_OFAC"
],
"result": "ACCEPTED",
"sanctions_screening_id": "46cd029f-435c-4048-b6ff-4d15fcd25e0f",
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Check if an individual is on any watchlists
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Basic identifying information about the person being verified.
Synctera party (non-customer) who is receiving money from a customer (the payer)
Synctera customer who is sending money to a non-customer (the payee)
ID of the transaction that triggered this verification
"f805d25b-0187-4405-98a7-27b2567e279e"
Response
successful check
Unique ID for this verification result.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
list of watchlists that the subject of the request matched
US_OFAC The determination of this verification. One of the following:
UNVERIFIED– record representing the absence of a verification.PENDING– verification is in progress for this customer.PROVISIONAL– partially verified or verified with restrictions.ACCEPTED– the customer has been verified.REVIEW– verification has run and issues have been identified and require review.VENDOR_ERROR– verification did not successfully run due to an unexpected error or failure.REJECTED– the customer was rejected and should not be allowed to take certain actions e.g., open an account.
ACCEPTED, PENDING, PROVISIONAL, REJECTED, REVIEW, UNVERIFIED, VENDOR_ERROR "ACCEPTED"
ID of the sanctions screening this verification was recorded under.
"46cd029f-435c-4048-b6ff-4d15fcd25e0f"
The information provided to Synctera from the vendor. Interpretation of this object is up to the client.
- Vendor Info
- Vendor Info
Show child attributes
Show child attributes
Was this page helpful?

